libzypp 17.37.10

zypp::HistoryLogData::Impl Class Reference

## Public Member Functions
| Impl (FieldVector &fields_r, size_type expect_r)
| Impl (FieldVector &fields_r, HistoryActionID action_r, size_type expect_r)
void | _checkFields (const FieldVector &fields_r, size_type expect_r)

## Public Attributes
FieldVector | _field
Date | _date
HistoryActionID | _action

## Detailed Description

Definition at line 108 of file HistoryLogData.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::HistoryLogData::Impl::Impl | ( | FieldVector & | fields_r,
|  | size_type | expect_r )
| inline

Definition at line 111 of file HistoryLogData.cc.

## ◆ Impl() [2/2]

zypp::HistoryLogData::Impl::Impl | ( | FieldVector & | fields_r,
|  | HistoryActionID | action_r,
|  | size_type | expect_r )
| inline

Definition at line 121 of file HistoryLogData.cc.

## Member Function Documentation

## ◆ _checkFields()

void zypp::HistoryLogData::Impl::_checkFields | ( | const FieldVector & | fields_r,
|  | size_type | expect_r )
| inline

Definition at line 139 of file HistoryLogData.cc.

## Member Data Documentation

## ◆ _field

FieldVector zypp::HistoryLogData::Impl::_field

Definition at line 161 of file HistoryLogData.cc.

## ◆ _date

Date zypp::HistoryLogData::Impl::_date

Definition at line 162 of file HistoryLogData.cc.

## ◆ _action

HistoryActionID zypp::HistoryLogData::Impl::_action

Definition at line 163 of file HistoryLogData.cc.

The documentation for this class was generated from the following file:

- zypp/HistoryLogData.cc